[ MrLimeni @ 10.03.2007. 14:08 ] @
Na komjuteru instaliran Ubuntu 6.06. Imam wireless usb karticu TP-Link TL-620G. Pokušao sam da instaliram pomocu NdisWrapper-a ali nesto nije kako treba.
Pratio sam uputsva na http://ndiswrapper.sourceforge.net/mediawiki/index.php/Ubuntu oko instalacije NdisWrapper-a na Ubuntu. To je prošlo glatko (što je bilo za ocekivati). Onda sam na osnovu http://ndiswrapper.sourceforge...diawiki/index.php/Installation pokušao da instaliram drajvere za TL-620G. Na stranici http://ndiswrapper.sourceforge.net/mediawiki/index.php/List#T moja kartica je 4. i tamo piše da mi trebaju drajveri: athfmwdl.inf i TL-WN620G.inf. Nasao ja sve i onda radio sledece:
Code:

lspci

0000:00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
0000:00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
0000:00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
0000:00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
0000:00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
0000:00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
0000:00:14.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 08)
0000:01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)


Code:

lspci -n

0000:00:00.0 0600: 8086:7190 (rev 03)
0000:00:01.0 0604: 8086:7191 (rev 03)
0000:00:07.0 0601: 8086:7110 (rev 02)
0000:00:07.1 0101: 8086:7111 (rev 01)
0000:00:07.2 0c03: 8086:7112 (rev 01)
0000:00:07.3 0680: 8086:7113 (rev 02)
0000:00:14.0 0401: 1274:1371 (rev 08)
0000:01:00.0 0300: 121a:0005 (rev 01)


E ovdje ja vidim prvi problem. Jer koliko sam ja ukapirao za 0000:00:07.2 bi trebalo da pise USBID: 0CF3:0002 jer tako pise gore u upustvu za ovu karticu.
Ali ajde ja ovo zanemario i nastavio. Uzeo drajvere iskopirao na Ubuntu usao kroz terminal ušao u folder sa drajverima i nastavio sa ovim:

Code:

ndiswrapper -i athfmwdl.inf

Installing athfmwdl


Code:

ndiswrapper -i TL-WN620G.inf

Installing tl-wn620g


A onda mi on kaže:

Code:

ndiswrapper -l

Installed ndis drivers:
athfmwdl    invalid driver!
tl-wn620g    invalid driver!


Kasnije sam nasao komandu lsusb i ona mi je izlistala sledece
Code:

Bus 001 Device 003: ID 0cf3:0002 Atheros Communications, Inc. 
Bus 001 Device 002: ID 046d:c016 Logitech, Inc. M-UV69a Optical Wheel Mouse
Bus 001 Device 001: ID 0000:0000  

E ovdje je već nadjeno 0cf3:0002 ali i to mi ništa ne znači opet ndiswraper kaže: invalid driver!.

Još nešto (mada ne znam koliko ce vam to biti bitno): System->Administration->Device Manger mi pokazuje TL-WN620G.

Može li sad neko da mi da HINT ili rješenje ovog problema.

P.S. Za moderatore, našao sam ja teme:
http://www.elitesecurity.org/t167861-1-Linux-Gigabyte-GN-WPGS
http://www.elitesecurity.org/t206782-0#1248080
http://www.elitesecurity.org/t193708-0#1219146
Ali niti jedna od njih nije se bavila slicnim problemom pa sam zato odlucio da pokrenem novu.




[Ovu poruku je menjao MrLimeni dana 10.03.2007. u 15:28 GMT+1]

[Ovu poruku je menjao MrLimeni dana 10.03.2007. u 18:43 GMT+1]
[ lord_celtic @ 11.03.2007. 09:35 ] @
Zameni karticu sa PCI to bi ti bilo rešenje!!
http://madwifi.org/wiki/Compatibility
Gde piše:
there are No USB devices supported by MadWifi. No USB devices are likely to be supported any time soon.
Ako grešim neka me neko ispravi!!
Odeš u prodavnicu i za otprilike 2500 din kupiš neku PCI karticu sa Atherosom i rešio si problem!!
[ MrLimeni @ 12.03.2007. 09:33 ] @
Citat:
lord_celtic: Zameni karticu sa PCI to bi ti bilo rešenje!!
...


A zar nije pravo rješenje da natjeram ovu karticu da radi? Znam da mogu otići i kupiti kompatibilnu kartici i to je to, ali ovo me više zanima. Postoji uputsvo za ovu karticu i za ovu distribuciju,očigledno da to nekome radi što bi značilo da ja samo negdje griješim.

Tebi hvala u svakom slučaju.
[ tdjokic @ 12.03.2007. 16:11 ] @
Citat:
lord_celtic:
Odeš u prodavnicu i za otprilike 2500 din kupiš neku PCI karticu sa Atherosom i rešio si problem!!

Ja se u ovo podrucje uopste ne razumem, ali mi je palo u oci nesto neobicno: obojica ste izneli neki stav i obojica ste to podrzali argumentom, sto se ne desava cesto, a stavovi su vam razliciti. Ja sam vise sklon da stanem na stranu MrLimeni-og jer na sajtu koji je naveo pise:

Card: TP-LINK TL-WN620G, 108 Mbps

* Chipset: Atheros

Zasto si ti uopste govorio o MadWifi-ju kad izgleda da covek vec ima Atheros? Zasto onda da kupuje PCI karticu sa Atherosom?
[ lord_celtic @ 12.03.2007. 17:59 ] @
Lepo sam napisao ako ima neko rešenje neka me ispravi!!
To je USB adapter ako ga je neko uspeo poterati nek javi.
Lepo bih voleo da me neko demantuje jer bi bilo rešeno dosta pitanja sa ovog foruma(a ne samo ovog) u vezi usb wireless kartice!!
[ MrLimeni @ 12.03.2007. 20:10 ] @
Znam da je veći problem namjestit USB karticu, ali odlučan sam da probam da to napravim dokle se sigurno ne ubijedim da ne može. Međutim na onim sajtovima baš piše da može za ovu USB karticu i za ovaj chipset. Trudim se istražujem pa ako bude nešto konkretno obavijestiću vas naravno.
Pozdrav
[ MrLimeni @ 17.03.2007. 00:12 ] @
Citat:
lord_celtic: Lepo sam napisao ako ima neko rešenje neka me ispravi!!
To je USB adapter ako ga je neko uspeo poterati nek javi.
Lepo bih voleo da me neko demantuje jer bi bilo rešeno dosta pitanja sa ovog foruma(a ne samo ovog) u vezi usb wireless kartice!!


E ovako pozdravljam vas iz Mandrive 2007 sve zajedno sa instaliranim TL-WN620G wireless usb karticom. Znaci moguce je Upornost se isplati.
Opet uz pomoc ndiswraper-a al' kroz mandrivin wizard ..sve na click click. Pokusacu sad na openSuse a i da pokusam sa Ubuntuom.

Pozdrav za sve jos jednom
[ tdjokic @ 17.03.2007. 05:09 ] @
Citat:
lord_celtic: Lepo sam napisao ako ima neko rešenje neka me ispravi!!
To je USB adapter ako ga je neko uspeo poterati nek javi.
Lepo bih voleo da me neko demantuje jer bi bilo rešeno dosta pitanja sa ovog foruma(a ne samo ovog) u vezi usb wireless kartice!!
Ti malo cudno govoris. Covek je naveo sajt sa podacima i tamo takodje pise da je za USB uredjaj, a ti uporno tvrdis da nema drajvera. Ja sam u prvom citatu propustio da citiram i ovo oko USB, ali se stice utisak da ti sajt uopste nisi pogledao i govoris na osnovu onog sajta koji se odnosi na MadWifi.

4. Card: TP-LINK TL-WN620G, 108 Mbps

* Chipset: Atheros
* USBID: 0CF3:0002

@ MrLimeni: svaka cast za upornost.
[ MrLimeni @ 17.03.2007. 20:46 ] @
Pokušaj br. 2 :)
Dakle uspio sam ovo uradit na Mandrivi,ali kao što rekoh samo kroz njen Wizard koji mi je ponudio da izaberem win drivere i to je to. E sad kako-zašto pojma nemam,al u svakom slučaju preko Ndiswrapper-a.
Moj cilj je da to napravim na Ubuntu. I sad sam uspio da instaliram ove drajvere na Ubuntu al'... opet ima problem on ubuntu na komandu ifconig ne prekizuje mrežu. u svakom evo vam izlazi:

ndiswrapper -l
Code:
Installed ndis drivers:
athfmwdl        driver present, hardware present 
tl-wn620g        driver present 


ifconfig
Code:
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:87 errors:0 dropped:0 overruns:0 frame:0
          TX packets:87 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:6176 (6.0 KiB)  TX bytes:6176 (6.0 KiB)



P.S. Usput, mislim da je jedini problem zašto mi je prvi put prijavljivao invalid driver! to što sam drajvere prvo kopirao na windows pa na usb flash pa onda tek na linux mašinu :) Možda, mada mi to glupo.

E sad ima li ko rješenje i uputsvo kako da razriješim ovo, tj. da se konektujem na INTERNET. Prije 15 godina ovaj moj zahtjev bi bio možda čudan, nerealan, teško ostvarljiv ali sad bi trebalo da je prosto :) il' griješim.
[ tdjokic @ 17.03.2007. 23:43 ] @
Citat:
MrLimeni: E sad ima li ko rješenje i uputsvo kako da razriješim ovo
Dacu ti vrlo daleko i posredno resenje. Nedavno sam kupio laserski kolor stampac Canon LBP5000. Za njega postoje drajveri za Linux, napravio Canon. Moze se skinuti sa odgovarajuceg sajta, na kome je i Canonovo uputstvo. Nazalost, nikako mi nije uspelo da SAMO pomocu tih drajvera i tog uputstva pokrenem stampac. Trazeci po netu, nasao sam i ovo uputstvo https://help.ubuntu.com/commun...s/CanonPrinters/Canon_LBP_2900 koje pokazuje koliko proces instalacije moze biti kompleksan, cak i kad drajveri postoje.

Moj savet ti je da pretrazis Ubuntu forum(e), mozda nadjes nekakvo uputstvo nalik ovome za moj stampac, detaljno uradjeno i objasnjeno. Pomocu njega, stampac radi.
[ MrLimeni @ 18.03.2007. 00:40 ] @
Ma znam da treba upornosti, pomirio sam se sa tim kad sam odlucio da prelazim na Linux. :) Naravno ako nadjem kakvo rjesenje odmah javljam.
[ lord_celtic @ 30.03.2007. 19:30 ] @
Evo ti uputstvo za suse radi sigurno provereno!
http://en.opensuse.org/SDB:Ndiswrapper
[ brcha @ 12.04.2007. 15:41 ] @
Mala napomena za ndiswrapper. Ko ima 64bitni procesor mora da uzme drajvere iz 64bitnog Windows-a. Kome trebaju 64bitni drajveri za RaLink RT61 chipset neka mi baci mejl, pa ću da ih okačim negde (ili da ih pošaljem mejlom).
[ MrLimeni @ 31.05.2007. 18:04 ] @
Dakle poslije skoro tri mjeseca evo i rjesenja za ovaj problem. Kartica mi je bila na krovu u USB kanteni pa mi je bilo muka da je spustam i sl pa sam je tek danas skinuo i pokusavao i pokusavao i na kraju uspio da napravim :) Upravo vam se javaljem iz UBUNTU-a.
Pa sad za sve kojima ovo moze zatrebati, evo korak po korak

1. Instalacija NdisWrapper-a
1.1. Preduslovi za kompajliranje NdisWrapper-a
Code:
1 $: sudo apt-get update
2 $: sudo apt-get install build-essential
3 $: sudo apt-get install linux-headers-`uname -r`

1.2. Download i kompjliranje NdisWrapper-a
Code:
$: wget http://heanet.dl.sourceforge.n...rapper/ndiswrapper-1.45.tar.gz
$: tar -xzvf ndiswrapper-1.41.tar.gz
$: cd ndiswrapper-1.41/
$: sudo make uninstall
$: make
$: sudo make install

2. Instalacija drajvera za TL-620G
2.1. Preduslovi za instaliranje drajvera
Potrebno je iskopirati na hard odgovarajuce drajvere. Mogu se naci i na cd-u koji dolazi uz karticu ili sa sajta proizvodjaca
npr iskopiramo ih u folder wi-fi.
2.2. Instaliranje drajvera
Prvo se premjestimo u folder sa drajverima, npr.
Code:
$ cd wi-fi

Sada instaliramo drajvere sa :
Code:
$ ndiswrapper -i TL-WN620G.inf
$ ndiswrapper -i athfmwdl.inf
$ sudo ndiswrapper -m
$ sudo modprobe ndiswrapper

Provjeru da li je sve dobro izvrseno pri instalaciji drajvera vrsimo sa
Code:
$ ndiswrapper -l
[ Miladinovic @ 15.02.2008. 11:51 ] @
da li to isto vazi i za kubuntu, naime radio sam sledece

Code:
[email protected]:~/ndiswrapper-1.52# sudo make uninstall
NOTE: Not all installed files are removed, as different distributions install ndiswrapper files at different places.
Run uninstall as many times as necessary until no "removing" messages appear below.
removing /sbin/loadndisdriver
removing /usr/sbin/ndiswrapper
removing /usr/sbin/ndiswrapper-buginfo


Code:
[email protected]:~/ndiswrapper-1.52# make
make -C driver
make[1]: Entering directory `/home/aleks/ndiswrapper-1.52/driver'
make -C /usr/src/linux-headers-2.6.15-26-386 SUBDIRS=/home/aleks/ndiswrapper-1.52/driver
make[2]: Entering directory `/usr/src/linux-headers-2.6.15-26-386'
  CC [M]  /home/aleks/ndiswrapper-1.52/driver/crt.o
In file included from /home/aleks/ndiswrapper-1.52/driver/crt.c:16:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:720: error: field ‘lock’ has incomplete type
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h: In function ‘raise_irql’:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:757: warning: implicit declaration of function ‘mutex_lock’
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h: In function ‘lower_irql’:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:779: warning: implicit declaration of function ‘mutex_unlock’
make[3]: *** [/home/aleks/ndiswrapper-1.52/driver/crt.o] Error 1
make[2]: *** [_module_/home/aleks/ndiswrapper-1.52/driver] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.15-26-386'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/home/aleks/ndiswrapper-1.52/driver'
make: *** [all] Error 2




Code:
[email protected]:~/ndiswrapper-1.52# sudo make install
make -C driver install
make[1]: Entering directory `/home/aleks/ndiswrapper-1.52/driver'
make -C /usr/src/linux-headers-2.6.15-26-386 SUBDIRS=/home/aleks/ndiswrapper-1.52/driver
make[2]: Entering directory `/usr/src/linux-headers-2.6.15-26-386'
  CC [M]  /home/aleks/ndiswrapper-1.52/driver/crt.o
In file included from /home/aleks/ndiswrapper-1.52/driver/crt.c:16:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:720: error: field ‘lock’ has incomplete type
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h: In function ‘raise_irql’:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:757: warning: implicit declaration of function ‘mutex_lock’
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h: In function ‘lower_irql’:
/home/aleks/ndiswrapper-1.52/driver/ntoskernel.h:779: warning: implicit declaration of function ‘mutex_unlock’
make[3]: *** [/home/aleks/ndiswrapper-1.52/driver/crt.o] Error 1
make[2]: *** [_module_/home/aleks/ndiswrapper-1.52/driver] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.15-26-386'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/home/aleks/ndiswrapper-1.52/driver'
make: *** [install] Error 2


Dobijam taj Error2 sto ne znam sta znaci

[ Darkosecurity @ 11.03.2008. 18:41 ] @
Probaj da updatujes Carnel sa nekom jachom verzijom jer u toj novoj verziji mozes dobiti vec spreman wire driver za tvoju karticu.
Ako uspete da upalite wifi karticu na ubuntu i led lampica zasvetli onda ste na konju,konektovaces se samo ako installiras program Wi-Fi radar.
1) Skines Wi-fi Radar u paketu wifi-radar-1.9.8.tar.tar
2) Raspakujes ga na Desktop
3) Udjes u synaptic i nadjes network-manager,desni klick,mark for complet remove,aply
4)Otvoris terminal
5)Udjes u folder gde je wi-fi radar
6)Kucas "sudo make install"
7)Terminal je upravo izlistao i instalirao Wi-fi Radar,zatvori terminal
8)Program se nalazi u Internet sekciji start menia na dnu
9)Otvoris ga,ides na NEW,kucas ime (ssid) wifi mreze,ispod su opcije za,mode,chanell,ip,net mask,dns,wep,wpa.


[ boodala2 @ 23.05.2008. 18:55 ] @
http://sourceforge.net/project..._id=93482&package_id=99148
vidite u cemu je stvar na ubuntu 6.06 nalazi sa kernel 2.6.15.xx.
ali najnovije verzije ndiswrappera *1.51 i 1.52 NECE da se ukompajliraju na ovom 2.6.15 kernelu iz 2006
godine.
resene bi bilo da se proba sa starjim izdanjem ndiswrappera
u temi je koriscen 1.41 ili 1.45 ,ili neki treci. pa onda koji od njih ne javi ERRORS
taj je dobar a verovatnoca je i ako nije najnoviji da ce kartica ipak da fercera hehe

uradite UVEK prvo dva tri puta
Code:
sudo make uninstall

pre sudo make install
da bi se uklonila default verzija na ubunut 6.06 (mislim da je 1.14 ,neka starija je,nebitno)